# Generated from prefinery-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name prefinery

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Launch a private beta for your web site in minutes with Prefinery
License: MIT
URL: https://github.com/compulsivo/prefinery-ruby-api
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.8
# BuildRequires: rubygem(jeweler) < 2
BuildArch: noarch

%description
Ruby API for Prefinery.com.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CONFIG
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/VERSION
%{gem_instdir}/init.rb
%{gem_instdir}/install.rb
%{gem_libdir}
%{gem_instdir}/prefinery-0.2.0.gem
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README
%{gem_instdir}/Rakefile
%{gem_instdir}/prefinery.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.2.1-1
- Initial package
